Package org.linphone.core

# Enum Class Conference.ParticipantListType

java.lang.Object
java.lang.Enum<Conference.ParticipantListType>
org.linphone.core.Conference.ParticipantListType

All Implemented Interfaces:
  `Serializable`, `Comparable<Conference.ParticipantListType>`, `Constable`

Enclosing interface:
  Conference

public static enum Conference.ParticipantListType extends Enum<Conference.ParticipantListType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Closed`
Only participants in the initiating INVITE are allowed to join the conference.
`Open`
All devices calling the conference URI are allowed to join the conference.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Conference.ParticipantListType`
`fromInt(int value)`
`int`
`toInt()`
`static Conference.ParticipantListType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Conference.ParticipantListType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Closed

public static final Conference.ParticipantListType Closed
Only participants in the initiating INVITE are allowed to join the conference.

### Open

public static final Conference.ParticipantListType Open
All devices calling the conference URI are allowed to join the conference.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Conference.ParticipantListType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Conference.ParticipantListType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Conference.ParticipantListType fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()